#include "client.h"

#include <QtGui/QPrinter>
#include <QApplication>
#include <QDebug>

Client::Client()
{
}

void Client::run()
{
    QPrinter p;
    // Set full page to true so that we get full metrics.
    p.setFullPage(true);

    // Show the default size.
    qDebug() << "Default size:";
    qDebug() << p.paperSize();
    qDebug() << p.paperSize(QPrinter::Millimeter);
    qDebug();

    // Letter.
    qDebug() << "Letter:";
    p.setPaperSize(QPrinter::Letter);
    qDebug() << p.paperSize();
    qDebug() << p.paperSize(QPrinter::Millimeter);
    qDebug();

    // Legal.
    qDebug() << "Legal:";
    p.setPaperSize(QPrinter::Legal);
    qDebug() << p.paperSize();
    qDebug() << p.paperSize(QPrinter::Millimeter);
    qDebug();

    // B10.
    qDebug() << "B10:";
    p.setPaperSize(QPrinter::B10);
    qDebug() << p.paperSize();
    qDebug() << p.paperSize(QPrinter::Millimeter);
    qDebug();

    // A4
    qDebug() << "A4:";
    p.setPaperSize(QPrinter::A4);
    qDebug() << p.paperSize();
    qDebug() << p.paperSize(QPrinter::Millimeter);
    qDebug();

    // Letter.
    qDebug() << "Letter:";
    p.setPaperSize(QPrinter::Letter);
    qDebug() << p.paperSize();
    qDebug() << p.paperSize(QPrinter::Millimeter);
    qDebug();

    qApp->quit();
}
